Bug 142318 - confusing crash dialog text
confusing crash dialog text
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bug-buddy (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-08 17:21 EST by Andrew D. Stadler
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-15 14:01:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew D. Stadler 2004-12-08 17:21:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I am not quite sure why, but just now gnome-panel crashed.  (I was
just doing internet type stuff, with a small handful of shell, GAIM,
and FireFox windows open).

Anyway, this dialog popped up:

The Application "gnome-panel" has quit unexpectedly.

You can inform the developers of what happened to help them fix it. 
Or you can restart the application right now.

[ Restart Application ] [ Close ]

This dialog was confusing because it suggests "inform the developers"
but provides no obvious way in which to do it.

Version-Release number of selected component (if applicable):
gnome-panel-2.8.1-3

How reproducible:
Didn't try

Steps to Reproduce:
1.  Wait for gnome-panel to crash (or maybe trigger it somehow)
2.  View dialog

    

Actual Results:  See dialog text above

Expected Results:  Clearer choices.  

Additional info:
Comment 1 Andrew D. Stadler 2004-12-08 17:26:35 EST
A.  Change "How reproducible" to "always"
B.  Change "Steps to Reproduce" to:
  1.  $ ps ax | grep gnome-panel
  2.  $ sudo kill -SEGV <pid of gnome-panel>
This reliably brings up the dialog.

Also, I used this to try both buttons;  I will append this bug to also
note that the two buttons appear to do the same thing (restart
gnome-panel) - so there shouldn't be two buttons.  Or if there are,
and there are some sort of non-obvious side effects, then the buttons
should describe them more clearly.
Comment 2 Andrew D. Stadler 2006-05-22 18:29:24 EDT
(1) Confirmed this bug still occurs in FC5.  gnome-panel-2.14.1-1.fc5.1

(2) Another dialog error can be triggered as follows:
 - in terminal, type 'sudo gnome-panel'
 - in same terminal, type control-C

You get a train of repeating dialogs that say, "I've detected a panel already
running, and will now exit."  I got about 9 of them on the most recent try.
Comment 3 Matthew Miller 2006-07-10 16:45:47 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 John Thacker 2006-11-05 11:09:58 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.
Comment 5 Andrew D. Stadler 2006-11-05 15:45:29 EST
In comment #2 I explicitly stated that this was still occurring in FC5.  Reopening.
Comment 6 Ray Strode [halfline] 2007-08-15 10:33:43 EDT
Hi Andrew,

Sorry for the long delay.  Do you know if this is still a problem (in Fedora 7) ?
Comment 7 Andrew D. Stadler 2007-08-15 14:01:43 EDT
This appears to have been cleaned up in FC6.  (I haven't installed FC7 yet).

Note You need to log in before you can comment on or make changes to this bug.